# File: R_Script_Intro.R
# Purpose: Introduce R using Spreadsheet as analogy
# Programmer: Tony Olsen
# Date: October 14, 2005
#
# Data required: R Spreadsheet.csv

# see what is saved in workspace
ls()

# Read in spreadsheet
read.csv('R Spreadsheet.csv')
ls()

read.csv('R Spreadshet.csv')

# read and save as data.frame
# get rid of comment character #
exam <- read.csv('R Spreadsheet.csv', comment.char="")
ls()

# print data.frame
exam

# See only first few rows or last few rows
head(exam)
tail(exam)
# what are dimensions of data.frame
dim(exam)
nrow(exam)
ncol(exam)

# select one or more columns
exam[,3]
exam[,1:3]
exam[,"LAT.DD"]
exam[,c("LAT.DD", 'LON.DD')]
exam$LAT.DD

# select one or more rows
exam[3,]
exam[3:5,]
exam[c(1,2,5),]
exam[exam$STATUS == 'TS', ]
# or
keep <- exam$STATUS == 'TS'
exam[keep,]

# remove object in workspace
rm(keep)

# Data types
class(exam$WGT)
class(exam$STATUS)
class(exam$Code)
class(as.character(exam$SITE_ID) )

# factors are very useful
levels(exam$STATUS)
# easy to recode
exam$TNT <- exam$STATUS
levels(exam$TNT) <- list(Target=c("TS", "PB", "LD"), NonTarget=c("NT", ""))
levels(exam$TNT)
exam

# Matrix is different from data.frame
# column data types must be same
location <- as.matrix(exam[,c('LON.DD', "LAT.DD")] )
location[,"LON.DD"]

# Missing Data
mean(exam$LAT.DD)
mean(exam$LAT.DD, na.rm=TRUE)

# get help from Help menu or
help(mean)

mean(exam, na.rm=TRUE)



